### Method

# Gimp Layer set_lock_alpha

#### Declaration [src]

    gboolean
    gimp_layer_set_lock_alpha (
      GimpLayer* layer,
      gboolean lock_alpha
    )

#### Description [src]

Set the lock alpha channel setting of the specified layer.

This procedure sets the specified layer’s lock alpha channel setting.

#### Parameters

`lock_alpha` | `gboolean`
| The new layer’s lock alpha channel setting.

#### Return value

Returns: | `gboolean`
| TRUE on success.